Package org.jbpm.bpmn2.xml

## Class BoundaryEventHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.BoundaryEventHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class BoundaryEventHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoundaryEventHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `Class<BoundaryEventNode>` | `generateNodeFor()` |
    `protected void` | `handleCompensationNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleConditionNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleErrorNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleEscalationNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleMessageNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleSignalNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `protected void` | `handleTimerNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser, String attachedTo, boolean cancelActivity)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### BoundaryEventHandler

          public BoundaryEventHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class<BoundaryEventNode> generateNodeFor()

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleEscalationNode

          protected void handleEscalationNode​(Node node,
                                              Element element,
                                              String uri,
                                              String localName,
                                              org.drools.core.xml.ExtensibleXmlParser parser,
                                              String attachedTo,
                                              boolean cancelActivity)
                                       throws SAXException

      Throws:
        `SAXException`

    - #### handleErrorNode

          protected void handleErrorNode​(Node node,
                                         Element element,
                                         String uri,
                                         String localName,
                                         org.drools.core.xml.ExtensibleXmlParser parser,
                                         String attachedTo,
                                         boolean cancelActivity)
                                  throws SAXException

      Throws:
        `SAXException`

    - #### handleTimerNode

          protected void handleTimerNode​(Node node,
                                         Element element,
                                         String uri,
                                         String localName,
                                         org.drools.core.xml.ExtensibleXmlParser parser,
                                         String attachedTo,
                                         boolean cancelActivity)
                                  throws SAXException

      Throws:
        `SAXException`

    - #### handleCompensationNode

          protected void handleCompensationNode​(Node node,
                                                Element element,
                                                String uri,
                                                String localName,
                                                org.drools.core.xml.ExtensibleXmlParser parser,
                                                String attachedTo,
                                                boolean cancelActivity)
                                         throws SAXException

      Throws:
        `SAXException`

    - #### handleSignalNode

          protected void handleSignalNode​(Node node,
                                          Element element,
                                          String uri,
                                          String localName,
                                          org.drools.core.xml.ExtensibleXmlParser parser,
                                          String attachedTo,
                                          boolean cancelActivity)
                                   throws SAXException

      Throws:
        `SAXException`

    - #### handleConditionNode

          protected void handleConditionNode​(Node node,
                                             Element element,
                                             String uri,
                                             String localName,
                                             org.drools.core.xml.ExtensibleXmlParser parser,
                                             String attachedTo,
                                             boolean cancelActivity)
                                      throws SAXException

      Throws:
        `SAXException`

    - #### handleMessageNode

          protected void handleMessageNode​(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser,
                                           String attachedTo,
                                           boolean cancelActivity)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`